# Deny order refund

Informs Keeta that the refund request has been denied and the order cannot be refunded.
> It is expected to receive a `REFUND_FAILED` event after this action.


HOST: **Keeta**
DIRECTION:

Endpoint: POST /v1/orders/{orderId}/rejectRefund
Version: v.1.0.7
Security: OAuth2, Sig

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: od.all

  - `Sig` (unknown)
    apiKey in header X-App-Signature

## Path parameters:

  - `orderId` (string, required)

## Request body:

  - `application/json` (unknown)
    Request for order cancellation has been denied.

## Request fields (application/json):

  - `reason` (string, required)
    Reason for rejecting refund.

  - `code` (string, required)
    Enum: "DISH_ALREADY_DONE", "OUT_FOR_DELIVERY", "OTHER"

## Response 204:

  - `204` (unknown)
    Order refund has been denied. No response content.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 401:

  - `401` (unknown)
    Request lacks valid authentication credentials for the target resource

## Response 401 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 403:

  - `403` (unknown)
    Authenticated participant request that violates some authorization rule.

## Response 403 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 404:

  - `404` (unknown)
    The requested resource was not found.

## Response 404 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 422:

  - `422` (unknown)
    Server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions. (Check if the instruction has not been sent before.)

## Response 422 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 503:

  - `503` (unknown)
    Service is not currently available. Requested service may be under maintenance or outside the operating window.

## Response 503 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

